Regular Expression Constants
String Functions
Collaboration diagram for Regular Expression Constants:

## Variables

const | Qore::RE_Caseless = PCRE_CASELESS
| Ignores case when matching regular expressions, equivalent to `/i`
const | Qore::RE_DotAll = PCRE_DOTALL
| makes a dot (.) match a newline character, equivalent to /s
const | Qore::RE_Extended = PCRE_EXTENDED
| ignores whitespace characters and enables comments prefixed by #, equivalent to `/x`
const | Qore::RE_Global = QRE_GLOBAL
| replace all matches globally in the string or extract all occurrences of the pattern(s) in the string, equivalent to `/g`
const | Qore::RE_MultiLine = PCRE_MULTILINE
| makes start-of-line (^) or end-of-line ($) match after or before any newline in the subject string, equivalent to `/m`
const | Qore::RE_Unicode = PCRE_UCP
| extens Posix matches to the full Unicode character set More...

## Detailed Description

The constants in this group can be combined with binary or to give regular expression options for the regex(), regex_subst(), and regex_extract() functions.

## Variable Documentation

## RE_Unicode

const Qore::RE_Unicode = PCRE_UCP

extens Posix matches to the full Unicode character set

Since
  Qore 0.9.4